<div class="w-screen transform -translate-x-1/2 ml-1/2">
  <div class="sm:mx-auto sm:w-full">
    <h1 class="mt-6 mb-8 text-center leading-9 font-extrabold text-gray-900">
      Edit <%= resource_name.to_s.humanize %>
    </h1>
  </div>

  <div class="mt-4 sm:mx-auto sm:w-full">
    <div class="bg-white py-8 px-4 shadow sm:rounded-lg sm:px-10 mx-auto md:max-w-md">
      <%= form_for(resource, as: resource_name, url: registration_path(resource_name), html: { method: :put, data: { turbo: false }  }) do |f| %>
      <%= render "devise/shared/error_messages", resource: resource %>

      <div class="field">
        <%= f.label :email %>
        <%= f.email_field :email, autofocus: true, autocomplete: "email" %>
      </div>

      <% if devise_mapping.confirmable? && resource.pending_reconfirmation? %>
        <div>Currently waiting confirmation for: <%= resource.unconfirmed_email %></div>
      <% end %>

      <div class="field">
        <%= f.label :password %> <i>(leave blank if you don't want to change it)</i>
        <%= f.password_field :password, autocomplete: "off" %>
        <% if @minimum_password_length %>
          <br />
          <em><%= @minimum_password_length %> characters minimum</em>
        <% end %>
      </div>

      <div class="field">
        <%= f.label :password_confirmation %>
        <%= f.password_field :password_confirmation, autocomplete: "off" %>
      </div>

      <div class="field">
        <%= f.label :current_password %> <i>(we need your current password to confirm your changes)</i>
        <%= f.password_field :current_password, autocomplete: "off" %>
      </div>

      <div class="actions">
        <%= f.submit "Update", class: 'button' %>
      </div>
    <% end %>

    <h3>Cancel my account</h3>

    <p>Unhappy? <%= button_to "Cancel my account", registration_path(resource_name), data: { confirm: "Are you sure?" }, method: :delete %></p>

    <%= link_to "Back", :back %>
    </div>
  </div>
</div>

